﻿using GrapeCity.ActiveReports;
using GrapeCity.ActiveReports.Document;
using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace PageCount
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        PageReport report = null;

        private void Form1_Load(object sender, EventArgs e)
        {
            viewer1.Toolbar.ToolStrip.Visible = false;
            report = new PageReport(new System.IO.FileInfo(Application.StartupPath + @"\..\..\PageReport1.rdlx"));
            PageDocument pageDocument = new PageDocument(report);
            viewer1.LoadDocument(pageDocument);
         }

        private int GetTotalPageCount()
        {
            //Get textbox in viewer toolbar and abstarct the total page count.
            var pgtext = viewer1.Toolbar.ToolStrip.Items[21].Text;
            int totalPageNumber = 0;
            if (!string.IsNullOrEmpty(pgtext))
            {

                Int32.TryParse(pgtext.Split('/').Last(), out totalPageNumber);
            }
            return totalPageNumber;
        }

        private void viewer1_LoadCompleted(object sender, EventArgs e)
        {
            PageNumber.Text = GetTotalPageCount().ToString();
        }
    }
}
